Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Interface ReferenceableGrid

All Superinterfaces:
  Grid

    @UML(identifier="CV_ReferenceableGrid",
         specification=ISO_19123)
    public interface ReferenceableGrid

extends Grid

A grid whose relation with an external coordinate reference system is specified in another way than in terms of origin, orientation and spacing in that coordinate system. The transformation between grid and external coordinate system can be some analytical or non-analytical form.

TODO:
  Comment (Wim): there seems to be no way to check whether two ReferenceableGrids are equal, i.e. exactly fitting on all GridPoints.
  Martin: a possible approach is to import the "gridToCRS" attribute from the legacy OGC specification, exactly as proposed for `RectifiedGrid`. Two ReferenceableGrids with the same grid geometry and the same "gridToCRS" math transform exactly fitting on all GridPoints.

Method Summary
`CoordinateReferenceSystem` | `getCoordinateReferenceSystem()` Returns the coordinate reference system to which this grid is referenceable.
`GridCoordinates` | `inverseTransformCoordinates(DirectPosition p)` Transforms from a direct position to the grid coordinates of the nearest grid point.
`DirectPosition` | `transformCoordinates(GridCoordinates g)` Transforms a grid coordinates to a direct position.

Methods inherited from interface Grid
`getAxisNames, getCells, getDimension, getExtent, getIntersections`

Method Detail

### getCoordinateReferenceSystem

    @UML(identifier="CoordinateReferenceSystem",
         obligation=MANDATORY,
         specification=ISO_19123)
    CoordinateReferenceSystem getCoordinateReferenceSystem()

  Returns the coordinate reference system to which this grid is referenceable.

### transformCoordinates

    @UML(identifier="coordTransform",
         obligation=MANDATORY,
         specification=ISO_19123)
    DirectPosition transformCoordinates(GridCoordinates g)

  Transforms a grid coordinates to a direct position.

### inverseTransformCoordinates

    @UML(identifier="invCoordTransform",
         obligation=MANDATORY,
         specification=ISO_19123)
    GridCoordinates inverseTransformCoordinates(DirectPosition p)

  Transforms from a direct position to the grid coordinates of the nearest grid point.

  TODO:
    Question (Wim): GridCoordinates are always integers, how to get the not rounded results?
    Martin: The legacy OGC specification defined a "gridToCRS" math transform for that. We may consider to import this element in the proposed set of interfaces.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.